
class OptionsWarning(UserWarning):
    pass


class OptionsError(RuntimeError):
    pass


class Options:
    """storage class for the keys in ``dios_options``"""

    """Set the number of rows and variables to display in a call that use
    ``__repr__`` or ``__str__`` like e.g. ``print(dios)`` do."""
    disp_max_rows = "disp_max_rows "
    disp_max_vars = "disp_max_vars"

    """
    0: accept all
    1: accept if at least one keys is is in both DioS
    2: accept if all keys of the src-DioS in the dest-DioS
    3: accept if both dios have the exact same keys (makes only sense for assignments with slicer,
      otherwise its the same than creating a new dios)"""
    dios_to_dios_method = "dios_to_dios_method"

    mixed_itype_policy = "mixed_itype_policy"

# set default values
dios_options = {
    Options.disp_max_rows: 10,
    Options.disp_max_vars: 4,
    Options.dios_to_dios_method: 3,
    Options.mixed_itype_policy: 'warn',
}
